/* 
 * File:   mysh.h
 * Author: Arthur Brandao
 *
 * Created on 6 novembre 2018
 */

#ifndef MYSH_H
#define MYSH_H

/* --- Fonctions utilitaires --- */
/**
 * Affiche le dossier de travail actuel
 * @param char* Chaine à afficher avant le dossier
 * @param char* Chaine à afficher après le dossier
 */
void show_current_dir(const char*, const char*);

/* --- Commandes internes --- */
/**
 * Change le dossier de travail actuel
 * @param int argc
 * @param char** argv
 */
void cd(int, char**);

#endif /* MYSH_H */

